## cr-parsing-location cr-parsing-location |

## Functions

CRParsingLocation * | cr_parsing_location_new ()
enum CRStatus | cr_parsing_location_init ()
enum CRStatus | cr_parsing_location_copy ()
gchar * | cr_parsing_location_to_string ()
void | cr_parsing_location_dump ()
void | cr_parsing_location_destroy ()

## Types and Values

struct | CRParsingLocation
enum | CRParsingLocationSerialisationMask

## Description

## Functions

### cr_parsing_location_new ()

    CRParsingLocation *
    cr_parsing_location_new (void);

Returns the newly instanciated CRParsingLocation. Must be freed by `cr_parsing_location_destroy()`

### cr_parsing_location_init ()

    enum CRStatus
    cr_parsing_location_init (CRParsingLocation *a_this);

Initializes the an instance of CRparsingLocation.

Returns CR_OK upon succesful completion, an error code otherwise.

#### Parameters

a_this | the current instance of CRParsingLocation. |

### cr_parsing_location_copy ()

    enum CRStatus
    cr_parsing_location_copy (CRParsingLocation *a_to,
                              CRParsingLocation const *a_from);

Copies an instance of CRParsingLocation into another one.

Returns CR_OK upon succesful completion, an error code otherwise.

#### Parameters

a_to | the destination of the copy. Must be allocated by the caller. |
a_from | the source of the copy. |

### cr_parsing_location_to_string ()

    gchar *
    cr_parsing_location_to_string (CRParsingLocation const *a_this,
                                   enum CRParsingLocationSerialisationMask a_mask);

Returns the serialized string or NULL in case of an error.

#### Parameters

a_this | the current instance of CRParsingLocation. |
a_mask | a bitmap that defines which parts of the parsing location are to be serialized (line, column or byte offset) |

### cr_parsing_location_dump ()

    void
    cr_parsing_location_dump (CRParsingLocation const *a_this,
                              enum CRParsingLocationSerialisationMask a_mask,
                              FILE *a_fp);

#### Parameters

a_this | current instance of CRParsingLocation |
a_mask | the serialization mask. |
a_fp | the file pointer to dump the parsing location to. |

### cr_parsing_location_destroy ()

    void
    cr_parsing_location_destroy (CRParsingLocation *a_this);

Destroys the current instance of CRParsingLocation

#### Parameters

a_this | the current instance of CRParsingLocation. Must have been allocated with `cr_parsing_location_new()`. |

## Types and Values

### struct CRParsingLocation

    struct CRParsingLocation {
    	guint line ;
    	guint column ;
    	guint byte_offset ;
    };

### enum CRParsingLocationSerialisationMask

#### Members

DUMP_LINE |  |
DUMP_COLUMN |  |
DUMP_BYTE_OFFSET |  |